package com.app.bloggerebookapp.database.room;

import androidx.room.Dao;
import androidx.room.Query;

import com.app.bloggerebookapp.model.Post;

import java.util.List;

@Dao
public interface DAO {

    @Query("INSERT INTO tbl_bookmark (id, title, content, categories, page_position, saved_date) VALUES (:id, :title, :content, :categories, :page_position, :save_date)")
    void insertBookmark(String id, String title, String content, String categories, int page_position, long save_date);

    @Query("UPDATE tbl_bookmark SET page_position = :page_position WHERE id = :id")
    void updateBookmark(String id, int page_position);

    @Query("DELETE FROM tbl_bookmark WHERE id = :id")
    void deleteBookmark(String id);

    @Query("DELETE FROM tbl_bookmark")
    void deleteAllBookmark();

    @Query("SELECT * FROM tbl_bookmark ORDER BY saved_date DESC")
    List<Post> getAllBookmark();

    @Query("SELECT COUNT(id) FROM tbl_bookmark")
    Integer getAllBookmarkCount();

    @Query("SELECT * FROM tbl_bookmark WHERE id = :id LIMIT 1")
    Post getBookmark(String id);

}