package com.app.bloggerebookapp.helper;

import static com.app.bloggerebookapp.helper.Constant.PAGER_NUMBER;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;

import com.app.bloggerebookapp.fragment.FragmentBook;
import com.app.bloggerebookapp.fragment.FragmentBookmark;
import com.app.bloggerebookapp.fragment.FragmentCategory;

@SuppressWarnings("ALL")
public class NavigationAdapter {

    public static class BottomNavigationAdapter extends FragmentPagerAdapter {

        public BottomNavigationAdapter(FragmentManager fm) {
            super(fm, BEHAVIOR_RESUME_ONLY_CURRENT_FRAGMENT);
        }

        @NonNull
        @Override
        public Fragment getItem(int position) {
            switch (position) {
                case 0:
                    return new FragmentBook();
                case 1:
                    return new FragmentCategory();
                case 2:
                    return new FragmentBookmark();
            }
            return null;
        }

        @Override
        public int getCount() {
            return PAGER_NUMBER;
        }

    }

}
