package com.app.bloggerebookapp.model;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import com.google.gson.annotations.Expose;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Entity(tableName = "tbl_bookmark")
public class Post implements Serializable {

    @PrimaryKey
    public int _id = -1;

    @Ignore
    public String kind;

    @Expose
    @ColumnInfo(name = "id")
    public String id = "";

    @Ignore
    public String published = "";

    @Ignore
    public String updated = "";

    @Ignore
    public String url = "";

    @Ignore
    public String selflink = "";

    @Expose
    @ColumnInfo(name = "title")
    public String title = "";

    @Expose
    @ColumnInfo(name = "content")
    public String content = "";

    @Ignore
    public List<String> labels = new ArrayList<>();

    @Expose
    @ColumnInfo(name = "categories")
    public String categories = "";

    @Expose
    @ColumnInfo(name = "page_position")
    public int page_position = 0;

    @Expose
    @ColumnInfo(name = "saved_date")
    public long saved_date = -1;

    public Post() {
    }

    @Ignore
    public Post(String id) {
        this.id = id;
    }

    @Ignore
    public Post(String id, String title, List<String> labels, String content, String published) {
        this.id = id;
        this.title = title;
        this.labels = labels;
        this.content = content;
        this.published = published;
    }

    public int get_id() {
        return _id;
    }

    public void set_id(int _id) {
        this._id = _id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<String> getLabels() {
        return labels;
    }

    public void setLabels(List<String> labels) {
        this.labels = labels;
    }

    public void setPublished(String published) {
        this.published = published;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
